atcache(3)

NAME
atSaveCache, atCacheKey - derived object cache handling

SYNOPSIS
#include <atfs.h>
#include <atfstk.h>

int    atSaveCache (Af_key *aso, Af_key *cachedAso, char *uniqAttribute, int storeType);

char*    atCacheKey (Af_key *aso);

DESCRIPTION
atSaveCache adds the given busy object aso to the current derived object cache. It does this by calling af_savecache (manual page af_cache(3)). Prior to that, atSaveCache attaches a key attribute with the name __CacheKey__ to aso, by which the resulting cached object can be uniquely identified within the cache. Return values are the same as from af_savecache (manual page af_cache(3)).

atCacheKey returns an attribute string consisting of the attribute name __CacheKey__ and an attribute value built of the aso modification date, the process number and a (per process unique) serial number. This attribute can (and will) be used to uniquely identify attributed software objects in derived object caches.

SEE ALSO
af_cache(3)